<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
	  <TargetFramework>net6</TargetFramework>
	  <AssemblyName>CarbonLib</AssemblyName>
	  <PackageId>CarbonLib</PackageId>
	  <RuntimeIdentifiers>win10-x64;ubuntu.16.04-x64</RuntimeIdentifiers>
	  <GenerateAssemblyConfigurationAttribute>false</GenerateAssemblyConfigurationAttribute>
	  <GenerateAssemblyCompanyAttribute>false</GenerateAssemblyCompanyAttribute>
	  <GenerateAssemblyProductAttribute>false</GenerateAssemblyProductAttribute>
	  <Version>4.4.10</Version>
  </PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Base.Core.Common.Geometry" Version="4.4.7" />
		<PackageReference Include="NetTopologySuite" Version="2.5.0" />
		<PackageReference Include="NetTopologySuite.IO.GeoJSON" Version="3.0.0" />
	</ItemGroup>

	<ItemGroup>
	  <None Update="config\CropCoverMonth.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\CropProperties.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\CropSets.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\CropYield.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\CropYield.json.old">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\Farm_input_sets.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\GIS_Soil_Sets.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\KNMI_data.csv">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\ManCcont.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\Mapping\MappingCropsFarmmapsMiterraRothC.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\Mapping\MappingGreenManureFarmmapsMiterraRothC.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\ParametersRothC.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\PC4\PC4.cpg">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\PC4\PC4.dbf">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\PC4\PC4.prj">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\PC4\PC4.shp">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\PC4\PC4.shx">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\RegionSets.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\SetsForDataTransformation.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="config\YieldGreenManure.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	</ItemGroup>
</Project>
